
Figure - Bug #117628
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏后台播放音乐时进入游戏页面，此时接到微信语音，接通后挂断，音乐和
游戏都不出声
2023-04-21 16:01 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-21

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:  Modify VOIP focus request location

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、播放qq音乐

2、打开开心消消乐

3、微信接到语音通话并接通

4、挂断电话

【预期结果】

4、音乐继续播放、游戏正常出声

【实际结果】

4、音乐播放但不出声，游戏也不出声

History

#1 - 2023-04-25 18:10 - Multimedia组-RD3_TSCD 梁卿山

Hi all，

从qxdm抓取的数据来看，微信挂断后，1586节点是有声音的。

#2 - 2023-04-26 15:01 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据进一步的分析，在电话挂断时，通知中控的abandonaudiofocus的动作比应用调用的abandonaudiofocus要慢；导致音乐的requestAudioFocus没有和中控

申请到焦点，导致了该问题的发生。

04-25 07:55:55.837  1091  2111 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=4(PLAYER_STATE_STOPPED)apc

=AudioPlaybackConfiguration piid:335 deviceId:2 type:android.media.AudioTrack u/pid:10111/4698 state:started attr:AudioAttributes:

usage=USAGE_VOICE_COMMUNICATION content=CONTENT_TYPE_SPEECH flags=0x800 tags= bundle=null sessionId:305

04-25 07:55:55.837  1091  2111 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=4(PLAYER_STATE_STOPPED)apc
=AudioPlaybackConfiguration piid:335 deviceId:2 type:android.media.AudioTrack u/pid:10111/4698 state:stopped attr:AudioAttributes:

usage=USAGE_VOICE_COMMUNICATION content=CONTENT_TYPE_SPEECH flags=0x800 tags= bundle=null sessionId:305

04-25 07:55:55.873  1091  2111 I MediaFocusControl: abandonAudioFocus() from uid/pid 10111/4698 clientId=android.media.AudioManager@3bb8d24oc3.b@9b4408d

04-25 07:55:55.874  4013  4013 W AudioManager: See the documentation of requestAudioFocus() for what to use instead with android.media.AudioAttributes to qualify

your playback use case

04-25 07:55:55.875  1091  1884 I MediaFocusControl: requestAudioFocus() from uid/pid 10089/4013 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=

android.media.AudioManager@7ff02a5com.android.music.MediaPlaybackService$4@b00967a callingPack=com.android.music req=1 flags=0x0 sdk=31

04-25 07:55:55.876  1091  1884 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc

=AudioPlaybackConfiguration piid:303 deviceId:3 type:android.media.MediaPlayer u/pid:10089/4013 state:paused attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

04-25 07:55:55.878  1091  1884 D AudioService.PlaybackActivityMonitor: idcm_af:TS >>> requestAudioFocusToIDCM: PackageName=com.android.music

04-25 07:55:55.878  1091  1884 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3

04-25 07:55:55.878  1091  1884 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: Already has a audioFocus AudioFocus_Media

...

04-25 07:55:56.187  1091  2111 D AS.AudioService: idcm_af:abandonAudioFocus, call: com.tencent.mm

04-25 07:55:56.188  1091  2111 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus: AudioFocus_Media

04-25 07:55:56.188  1091  2111 D AudioIDCMicroNegotiator: idcm_common:requestResult method = abandonAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}

#3 - 2023-05-05 19:06 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to  Modify VOIP focus request location

Hi 永红

该问题可以被117696的patch修复，请使用5月5日后的版本进行验证，谢谢！

#4 - 2023-05-09 19:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.9

验证通过

#5 - 2023-05-09 19:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
